[arch-commits] Commit in automake/repos (3 files)

Allan McRae allan at nymeria.archlinux.org
Mon Jun 17 23:03:29 UTC 2013


    Date: Tuesday, June 18, 2013 @ 01:03:29
  Author: allan
Revision: 188688

archrelease: copy trunk to testing-any

Added:
  automake/repos/testing-any/
  automake/repos/testing-any/PKGBUILD
    (from rev 188687, automake/trunk/PKGBUILD)
  automake/repos/testing-any/automake.install
    (from rev 188687, automake/trunk/automake.install)

------------------+
 PKGBUILD         |   37 +++++++++++++++++++++++++++++++++++++
 automake.install |   22 ++++++++++++++++++++++
 2 files changed, 59 insertions(+)

Copied: automake/repos/testing-any/PKGBUILD (from rev 188687, automake/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2013-06-17 23:03:29 UTC (rev 188688)
@@ -0,0 +1,37 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=automake
+pkgver=1.13.4
+pkgrel=1
+pkgdesc="A GNU tool for automatically creating Makefiles"
+arch=('any')
+license=('GPL')
+url="http://www.gnu.org/software/automake"
+groups=('base-devel')
+depends=('perl' 'bash')
+makedepends=('autoconf')
+checkdepends=('dejagnu' 'python2' 'java-environment' 'vala' 'emacs' 'cscope')
+install=automake.install
+source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz{,.sig})
+md5sums=('71b03c1bc4f587add12604587d9276d1'
+         'SKIP')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+
+  # expect 1 failure due to perl-5.18 incompatibility
+  make -k check || true
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: automake/repos/testing-any/automake.install (from rev 188687, automake/trunk/automake.install)
===================================================================
--- testing-any/automake.install	                        (rev 0)
+++ testing-any/automake.install	2013-06-17 23:03:29 UTC (rev 188688)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(automake.info automake.info-1 automake.info-2)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:




More information about the arch-commits mailing list